# Uses of Interface
org.eclipse.birt.chart.model.data.SeriesDefinition

Packages that use SeriesDefinition
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.computation.withoutaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withoutaxes package.
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of SeriesDefinition in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return SeriesDefinition
Modifier and Type
Method
Description
`SeriesDefinition`
LegendItemHints.`getSeriesDefinition()`
Methods in org.eclipse.birt.chart.computation with parameters of type SeriesDefinition
Modifier and Type
Method
Description
`Size`
LegendBuilder.`compute(IDisplayServer xs, Chart cm, SeriesDefinition[] seda, RunTimeContext rtc)`
Computes the size of the legend.
`static SeriesNameFormat`
SeriesNameFormat.`getSeriesNameFormat(SeriesDefinition sd, com.ibm.icu.util.ULocale loc)`
Deprecated.
to use `SeriesNameFormat.getSeriesNameFormat(SeriesDefinition, ULocale, boolean)`
`static SeriesNameFormat`
SeriesNameFormat.`getSeriesNameFormat(SeriesDefinition sd, com.ibm.icu.util.ULocale loc, boolean keepHierarchy)`
Returns default series format
`abstract ISeriesRenderingHints`
PlotComputation.`getSeriesRenderingHints(SeriesDefinition sdOrthogonal, Series seOrthogonal)`
`static LegendItemHints`
LegendItemHints.`newCategoryEntry(String sItem, SeriesDefinition sed, Series se, int index)`
`static LegendItemHints`
LegendItemHints.`newEntry(String sItem, String sValue, SeriesDefinition sed, Series se, int index)`
`static LegendItemHints`
LegendItemHints.`newMinSliceEntry(String sItem, SeriesDefinition sed, Series se, int index)`

## Uses of SeriesDefinition in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes with parameters of type SeriesDefinition
Modifier and Type
Method
Description
`ISeriesRenderingHints`
PlotWith2DAxes.`getSeriesRenderingHints(SeriesDefinition sdOrthogonal, Series seOrthogonal)`
`ISeriesRenderingHints`
PlotWith3DAxes.`getSeriesRenderingHints(SeriesDefinition sdOrthogonal, Series seOrthogonal)`

## Uses of SeriesDefinition in org.eclipse.birt.chart.computation.withoutaxes

Methods in org.eclipse.birt.chart.computation.withoutaxes with parameters of type SeriesDefinition
Modifier and Type
Method
Description
`SeriesRenderingHints`
PlotWithoutAxes.`getSeriesRenderingHints(SeriesDefinition sdOrthogonal, Series seOrthogonal)`

## Uses of SeriesDefinition in org.eclipse.birt.chart.model

Methods in org.eclipse.birt.chart.model that return SeriesDefinition
Modifier and Type
Method
Description
`SeriesDefinition[]`
Chart.`getSeriesForLegend()`
This method returns all series whose captions/markers are to be rendered in the Legend content
Methods in org.eclipse.birt.chart.model that return types with arguments of type SeriesDefinition
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<SeriesDefinition>`
ChartWithoutAxes.`getSeriesDefinitions()`
Returns the value of the 'Series Definitions' containment reference list.

## Uses of SeriesDefinition in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return types with arguments of type SeriesDefinition
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<SeriesDefinition>`
Axis.`getSeriesDefinitions()`
Returns the value of the 'Series Definitions' containment reference list.

## Uses of SeriesDefinition in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl that return types with arguments of type SeriesDefinition
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<SeriesDefinition>`
AxisImpl.`getSeriesDefinitions()`

## Uses of SeriesDefinition in org.eclipse.birt.chart.model.data

Fields in org.eclipse.birt.chart.model.data declared as SeriesDefinition
Modifier and Type
Field
Description
`static final SeriesDefinition[]`
SeriesDefinition.`EMPTY_ARRAY`
Methods in org.eclipse.birt.chart.model.data that return SeriesDefinition
Modifier and Type
Method
Description
`SeriesDefinition`
SeriesDefinition.`copyInstance()`
`SeriesDefinition`
DataFactory.`createSeriesDefinition()`
Returns a new object of class 'Series Definition'.
Methods in org.eclipse.birt.chart.model.data that return types with arguments of type SeriesDefinition
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<SeriesDefinition>`
SeriesDefinition.`getSeriesDefinitions()`
Returns the value of the 'Series Definitions' containment reference list.

## Uses of SeriesDefinition in org.eclipse.birt.chart.model.data.impl

Classes in org.eclipse.birt.chart.model.data.impl that implement SeriesDefinition
Modifier and Type
Class
Description
`class`
`SeriesDefinitionImpl`
An implementation of the model object ' Series Definition'.
Methods in org.eclipse.birt.chart.model.data.impl that return SeriesDefinition
Modifier and Type
Method
Description
`SeriesDefinition`
SeriesDefinitionImpl.`copyInstance()`
`static final SeriesDefinition`
SeriesDefinitionImpl.`create()`
A convenience method provided to create a series definition instance and initialize its member variables NOTE: Manually written
`static final SeriesDefinition`
SeriesDefinitionImpl.`createDefault()`
A convenience method provided to create a series definition instance and initialize its member variables NOTE: Manually written
`SeriesDefinition`
DataFactoryImpl.`createSeriesDefinition()`
Methods in org.eclipse.birt.chart.model.data.impl that return types with arguments of type SeriesDefinition
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<SeriesDefinition>`
SeriesDefinitionImpl.`getSeriesDefinitions()`

## Uses of SeriesDefinition in org.eclipse.birt.chart.model.impl

Methods in org.eclipse.birt.chart.model.impl that return SeriesDefinition
Modifier and Type
Method
Description
`SeriesDefinition[]`
ChartImpl.`getSeriesForLegend()`
Methods in org.eclipse.birt.chart.model.impl that return types with arguments of type SeriesDefinition
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<SeriesDefinition>`
ChartWithoutAxesImpl.`getSeriesDefinitions()`
Method parameters in org.eclipse.birt.chart.model.impl with type arguments of type SeriesDefinition
Modifier and Type
Method
Description
`final void`
ChartWithoutAxesImpl.`recursivelyGetSeries(org.eclipse.emf.common.util.EList<SeriesDefinition> elSDs, ArrayList<Series> al, int iLevel, int iLevelToOmit)`
Walks down the series definition tree and retrieves all runtime series.

## Uses of SeriesDefinition in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render that return SeriesDefinition
Modifier and Type
Method
Description
`final SeriesDefinition`
BaseRenderer.`getSeriesDefinition()`
Methods in org.eclipse.birt.chart.render with parameters of type SeriesDefinition
Modifier and Type
Method
Description
`void`
AxesRenderer.`set(Chart _cm, PlotComputation _o, Series _se, Axis _ax, SeriesDefinition _sd)`
`void`
BaseRenderer.`set(Chart _cm, PlotComputation _oComputation, Series _se, SeriesDefinition _sd)`
Sets the context information for current renderer.